public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-libs/libnice/
Date: Tue, 30 May 2023 18:05:17 +0000 (UTC)	[thread overview]
Message-ID: <1685469909.88478d93beafe0e8b82da77feac9eb8d2b758479.sam@gentoo> (raw)

commit:     88478d93beafe0e8b82da77feac9eb8d2b758479
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue May 30 18:01:25 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue May 30 18:05:09 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=88478d93

net-libs/libnice: add 0.1.21

Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-libs/libnice/Manifest              |  1 +
 net-libs/libnice/libnice-0.1.21.ebuild | 56 ++++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/net-libs/libnice/Manifest b/net-libs/libnice/Manifest
index 7bfe013e0ae3..c97d1852cce6 100644
--- a/net-libs/libnice/Manifest
+++ b/net-libs/libnice/Manifest
@@ -1 +1,2 @@
 DIST libnice-0.1.19.tar.gz 453407 BLAKE2B 7bffde82a3e55d9aeeaadd159d944346a5192871e7f574e278dc43e8171e5fde472cd28186777a0b6cddd8bde34e035794b1c6b8f152c7fb4fae5202025bfdac SHA512 1c63cc0b7655186fd6f83da4dd607183d6ccfab9b7ad7189c1bea2ba7413183f24076aba5d6c7231d2ab3fbd471827256729a8a0c0d1bda48803586e68b3778b
+DIST libnice-0.1.21.tar.gz 460086 BLAKE2B 61f0807ad0d959ffbaf8dce7b0321a19ae42e4c57cc6ac9b8f39bd27645ef60bb342f4105b6ce4c4c82573592a52388888d72031033e9e7368f8b5d53afa37d6 SHA512 acbd1e0e8aacb0a65cad5b70b470a74a7c4a4f1306bc4e17cd4fd899f2fae2bb538bd099e6c0f9cba6bb9a38e95bc14087aa4f77f6aa5b70d6398179783c6e26

diff --git a/net-libs/libnice/libnice-0.1.21.ebuild b/net-libs/libnice/libnice-0.1.21.ebuild
new file mode 100644
index 000000000000..0417eadc8e07
--- /dev/null
+++ b/net-libs/libnice/libnice-0.1.21.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit meson-multilib xdg
+
+DESCRIPTION="An implementation of the Interactice Connectivity Establishment standard (ICE)"
+HOMEPAGE="https://libnice.freedesktop.org/"
+SRC_URI="https://libnice.freedesktop.org/releases/${P}.tar.gz"
+
+LICENSE="|| ( MPL-1.1 LGPL-2.1 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
+IUSE="+gnutls gtk-doc +introspection test +upnp"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	>=dev-libs/glib-2.54:2[${MULTILIB_USEDEP}]
+	introspection? ( >=dev-libs/gobject-introspection-1.30.0:= )
+	gnutls? ( >=net-libs/gnutls-2.12.0:0=[${MULTILIB_USEDEP}] )
+	!gnutls? (
+		dev-libs/openssl:0=[${MULTILIB_USEDEP}] )
+	upnp? ( >=net-libs/gupnp-igd-0.2.4:0=[${MULTILIB_USEDEP}] )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	dev-util/glib-utils
+	virtual/pkgconfig
+	gtk-doc? ( dev-util/gtk-doc
+		app-text/docbook-xml-dtd:4.1.2 )
+"
+
+src_prepare() {
+	default
+
+	# Broken w/ network-sandbox on (bug #847844)
+	sed -i -e '/test-set-port-range/d' tests/meson.build || die
+}
+
+multilib_src_configure() {
+	# gstreamer plugin split off into media-plugins/gst-plugins-libnice
+	local emesonargs=(
+		-Dgstreamer=disabled
+		-Dcrypto-library=$(usex gnutls gnutls openssl)
+		$(meson_native_use_feature introspection)
+		$(meson_feature test tests)
+		$(meson_feature upnp gupnp)
+		$(meson_native_use_feature gtk-doc gtk_doc)
+	)
+
+	meson_src_configure
+}
+
+multilib_src_install_all() {
+	einstalldocs
+}


             reply	other threads:[~2023-05-30 18:05 UTC|newest]

Thread overview: 55+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-05-30 18:05 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-04-21  4:31 [gentoo-commits] repo/gentoo:master commit in: net-libs/libnice/ Sam James
2025-04-18 23:54 Sam James
2025-04-18 23:54 Sam James
2025-04-13 18:28 Andreas Sturmlechner
2025-01-04 17:07 Arthur Zamarin
2024-11-09 19:41 Andreas Sturmlechner
2024-10-27  6:50 Arthur Zamarin
2024-10-26  3:49 Sam James
2024-10-25 23:44 Sam James
2024-10-25 22:21 Sam James
2024-09-24  7:08 Sam James
2024-09-17 16:00 Sam James
2024-09-17 16:00 Sam James
2024-09-16 13:52 Petr Vaněk
2024-09-16 13:28 Petr Vaněk
2024-07-05 17:41 Conrad Kostecki
2023-10-10  5:42 Joonas Niilola
2023-10-09  6:18 Sam James
2023-10-09  4:36 Sam James
2023-10-09  4:36 Sam James
2023-05-13  0:43 Sam James
2023-04-13  8:13 Ulrich Müller
2023-04-13  8:11 Ulrich Müller
2022-11-25  3:08 Matt Turner
2022-10-31 14:28 Matt Turner
2022-07-21  2:04 Matt Turner
2022-07-21  0:13 Sam James
2022-07-18 23:41 Sam James
2022-07-18 17:44 Sam James
2022-07-06  1:24 Sam James
2022-07-02 20:47 Sam James
2022-05-31  9:24 Jakov Smolić
2022-05-28  5:45 Sam James
2022-05-28  5:38 Sam James
2022-05-28  5:05 Sam James
2022-05-28  1:27 Sam James
2022-05-28  1:20 Sam James
2022-05-08 19:02 Matt Turner
2022-05-08 19:02 Matt Turner
2022-03-08 13:48 Sam James
2022-03-08 13:48 Sam James
2022-03-08 13:48 Sam James
2022-03-08 13:48 Sam James
2021-05-02 10:16 Mikle Kolyada
2020-02-12 11:46 Mart Raudsepp
2020-01-17 13:05 Agostino Sarubbo
2019-10-09  8:27 Agostino Sarubbo
2019-07-03  7:11 Agostino Sarubbo
2019-06-27 12:35 Agostino Sarubbo
2019-06-17 10:07 Mikle Kolyada
2019-05-23 13:02 Mikle Kolyada
2019-02-14 11:29 Mart Raudsepp
2016-11-13 11:19 Gilles Dartiguelongue
2016-11-13 11:19 Gilles Dartiguelongue

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1685469909.88478d93beafe0e8b82da77feac9eb8d2b758479.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox